Available in VPC
Get the list of Cloud DB for PostgreSQL instances.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vpostgresql/v2/getCloudPostgresqlInstanceList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
zoneCode |
String | Optional | Filter by zone code
|
vpcNo |
String | Optional | Filter by VPC number
|
subnetNo |
String | Optional | Filter by subnet number
|
cloudPostgresqlServiceName |
String | Optional | Filter by Cloud DB for PostgreSQL service name
|
cloudPostgresqlInstanceNoList.N |
List[String] | Optional | Cloud DB for PostgreSQL instance number list
|
cloudPostgresqlServerName |
String | Optional | Filter by Cloud DB for PostgreSQL server name
|
cloudPostgresqlServerInstanceNoList.N |
List[String] | Optional | Cloud DB for PostgreSQL server instance number list
|
pageNo |
Integer | Optional | Page numbers in paged results
|
pageSize |
Integer | Conditional | Number of results to display on a page
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/getCloudPostgresqlInstanceList
?regionCode=KR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
See CloudPostgresqlInstanceList for the response body.
Response status codes
For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.
Response example
The following is a sample response.
- If
responseFormatType=json
{
"getCloudPostgresqlInstanceListResponse": {
"totalRows": 1,
"cloudPostgresqlInstanceList": [
{
"cloudPostgresqlInstanceNo": "****925",
"cloudPostgresqlServiceName": "test-****",
"cloudPostgresqlInstanceStatusName": "running",
"cloudPostgresqlInstanceStatus": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Created State"
},
"cloudPostgresqlInstanceOperation": {
"code": "NULL",
"codeName": "CLOUD DATABASE(VPC) Null OP"
},
"isHa": true,
"isMultiZone": true,
"cloudPostgresqlConfigList": [
"sample_config=sample_value"
],
"cloudPostgresqlServerInstanceList": [
{
"cloudPostgresqlServerInstanceNo": "****926",
"cloudPostgresqlServerName": "test-****-001-523a",
"cloudPostgresqlServerRole": {
"code": "M",
"codeName": "Primary"
},
"cloudPostgresqlServerInstanceStatusName": "running",
"cloudPostgresqlServerInstanceStatus": {
"code": "RUN",
"codeName": "CLOUD DATABASE(VPC) Server Running State"
},
"cloudPostgresqlServerInstanceOperation": {
"code": "NOOP",
"codeName": "CLOUD DATABASE(VPC) Server Null OP"
},
"regionCode": "KR",
"zoneCode": "KR-1",
"vpcNo": "****87",
"subnetNo": "****49",
"dataStorageSize": 10737418240,
"cpuCount": 2,
"memorySize": 8589934592
},
{
"cloudPostgresqlServerInstanceNo": "****932",
"cloudPostgresqlServerName": "test-****-002-523b",
"cloudPostgresqlServerRole": {
"code": "H",
"codeName": "Secondary"
},
"cloudPostgresqlServerInstanceStatusName": "running",
"cloudPostgresqlServerInstanceStatus": {
"code": "RUN",
"codeName": "CLOUD DATABASE(VPC) Server Running State"
},
"cloudPostgresqlServerInstanceOperation": {
"code": "NOOP",
"codeName": "CLOUD DATABASE(VPC) Server Null OP"
},
"regionCode": "KR",
"zoneCode": "KR-2",
"vpcNo": "****87",
"subnetNo": "****51",
"dataStorageSize": 10737418240,
"cpuCount": 2,
"memorySize": 8589934592
}
]
}
],
"requestId": "5092443c-****-****-****-7e916678d405",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudPostgresqlInstanceListResponse>
<requestId>5092443c-****-****-****-7e916678d405</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<cloudPostgresqlInstanceList>
<cloudPostgresqlInstance>
<cloudPostgresqlInstanceNo>****925</cloudPostgresqlInstanceNo>
<cloudPostgresqlServiceName>test-****</cloudPostgresqlServiceName>
<cloudPostgresqlInstanceStatusName>running</cloudPostgresqlInstanceStatusName>
<cloudPostgresqlInstanceStatus>
<code>CREAT</code>
<codeName>CLOUD DATABASE(VPC) Created State</codeName>
</cloudPostgresqlInstanceStatus>
<cloudPostgresqlInstanceOperation>
<code>NULL</code>
<codeName>CLOUD DATABASE(VPC) Null OP</codeName>
</cloudPostgresqlInstanceOperation>
<isHa>true</isHa>
<isMultiZone>true</isMultiZone>
<cloudPostgresqlConfigList>
<cloudPostgresqlConfig>sample_config=sample_value</cloudPostgresqlConfig>
</cloudPostgresqlConfigList>
<cloudPostgresqlServerInstanceList>
<cloudPostgresqlServerInstance>
<cloudPostgresqlServerInstanceNo>****926</cloudPostgresqlServerInstanceNo>
<cloudPostgresqlServerName>test-****-001-523a</cloudPostgresqlServerName>
<cloudPostgresqlServerRole>
<code>M</code>
<codeName>Primary</codeName>
</cloudPostgresqlServerRole>
<cloudPostgresqlServerInstanceStatusName>running</cloudPostgresqlServerInstanceStatusName>
<cloudPostgresqlServerInstanceStatus>
<code>RUN</code>
<codeName>CLOUD DATABASE(VPC) Server Running State</codeName>
</cloudPostgresqlServerInstanceStatus>
<cloudPostgresqlServerInstanceOperation>
<code>NOOP</code>
<codeName>CLOUD DATABASE(VPC) Server Null OP</codeName>
</cloudPostgresqlServerInstanceOperation>
<regionCode>KR</regionCode>
<zoneCode>KR-1</zoneCode>
<vpcNo>****87</vpcNo>
<subnetNo>****49</subnetNo>
<dataStorageSize>10737418240</dataStorageSize>
<cpuCount>2</cpuCount>
<memorySize>8589934592</memorySize>
</cloudPostgresqlServerInstance>
<cloudPostgresqlServerInstance>
<cloudPostgresqlServerInstanceNo>****932</cloudPostgresqlServerInstanceNo>
<cloudPostgresqlServerName>test-****-002-523b</cloudPostgresqlServerName>
<cloudPostgresqlServerRole>
<code>H</code>
<codeName>Secondary</codeName>
</cloudPostgresqlServerRole>
<cloudPostgresqlServerInstanceStatusName>running</cloudPostgresqlServerInstanceStatusName>
<cloudPostgresqlServerInstanceStatus>
<code>RUN</code>
<codeName>CLOUD DATABASE(VPC) Server Running State</codeName>
</cloudPostgresqlServerInstanceStatus>
<cloudPostgresqlServerInstanceOperation>
<code>NOOP</code>
<codeName>CLOUD DATABASE(VPC) Server Null OP</codeName>
</cloudPostgresqlServerInstanceOperation>
<regionCode>KR</regionCode>
<zoneCode>KR-2</zoneCode>
<vpcNo>****87</vpcNo>
<subnetNo>****51</subnetNo>
<dataStorageSize>10737418240</dataStorageSize>
<cpuCount>2</cpuCount>
<memorySize>8589934592</memorySize>
</cloudPostgresqlServerInstance>
</cloudPostgresqlServerInstanceList>
</cloudPostgresqlInstance>
</cloudPostgresqlInstanceList>
</getCloudPostgresqlInstanceListResponse>